module Refinery
  module MagickalWorking
    class MagickalWorkingsController < ::ApplicationController

      before_filter :find_all_magickal_workings
      before_filter :find_page

      def index
        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @magickal_working in the line below:
        present(@page)
      end

      def show
        @magickal_working = MagickalWorking.find(params[:id])

        # you can use meta fields from your model instead (e.g. browser_title)
        # by swapping @page for @magickal_working in the line below:
        present(@page)
      end

    protected

      def find_all_magickal_workings
      #  @magickal_workings = MagickalWorking.order('position ASC')
        @magickal_workings = MagickalWorking.order('start DESC')
      end

      def find_page
        @page = ::Refinery::Page.where(:link_url => "/magickal_workings").first
      end

    end
  end
end
