module Refinery
  module MagickalWorking
    class MagickalWorking < Refinery::Core::BaseModel
      self.table_name = 'refinery_magickal_workings'

      attr_accessible :opus, :start, :finish, :anno, :sol, :luna, :location, :weather, :magick, :notes, :comments, :position

      acts_as_indexed :fields => [:opus, :anno, :sol, :luna, :location, :weather, :magick, :notes, :comments]

      validates :opus, :presence => true, :uniqueness => true
    end
  end
end
