Refinery::Core::Engine.routes.append do

  # Frontend routes
  namespace :magickal_working do
    resources :magickal_workings, :only => [:index, :show]
  end

  # Admin routes
  namespace :magickal_working, :path => '' do
    namespace :admin, :path => 'refinery/magickal_working' do
      resources :magickal_workings, :except => :show do
        collection do
          post :update_positions
        end
      end
    end
  end

end
