class CreateMagickalWorkingMagickalWorkings < ActiveRecord::Migration

  def up
    create_table :refinery_magickal_workings do |t|
      t.string :opus
      t.datetime :start
      t.datetime :finish
      t.string :anno
      t.string :sol
      t.string :luna
      t.string :location
      t.string :weather
      t.text :magick
      t.text :notes
      t.text :comments
      t.integer :position

      t.timestamps
    end

  end

  def down
    if defined?(::Refinery::UserPlugin)
      ::Refinery::UserPlugin.destroy_all({:name => "refinerycms-magickal_working"})
    end

    if defined?(::Refinery::Page)
      ::Refinery::Page.delete_all({:link_url => "/magickal_working/magickal_workings"})
    end

    drop_table :refinery_magickal_workings

  end

end
